// file: $ENDPOINT/src_main/s_get_1.cc
//

// isip include files
//
#include "../signal_detector.h"
#include "../signal_detector_constants.h"
#include "../src_00/signal_detector_00.h"
#include "../src_01/signal_detector_01.h"
#include "../src_base/signal_detector_base.h"

#include "../integral.h"


// method: get_params_cc
//
// arguments: int_4 s_freq_a
//            int_4 num_chan_a
//            int_4 num_bytes_a
// 
//
// return:
//  a logical_1 value indicating status
//
// this method get some parametrs required by the driver program
//
logical_1 Signal_detector::get_params_cc(int_4& s_freq_a, int_4& num_chan_a,
					 int_4& num_bytes_a ) {  
  
  // get parameters for the required implementation
  //
  sigd_d->get_params_cc(s_freq_a,num_chan_a,num_bytes_a );

  // exit gracefully
  //
  return ISIP_TRUE;
}











